Problem whith Rgraphviz
1
0
Entering edit mode
@sylvainbrohee-1145
Last seen 7.1 years ago
Dear all, I tryed to install the Rgraphviz package but I the following message. My version of graphviz is 2.2 (when I type dotneato-config --version) Could somedy help me? Thank you a lot in advance, $R CMD INSTALL Rgraphviz * Installing *source* package 'Rgraphviz' ... checking for graphviz... checking for dotneato-config... /usr/local/bin/dotneato-config /usr/local/bin/dotneato-config failed configure: error: please specify a valid path to 'dotneato-config' version >= 1.12 using --with-graphviz=DIR ERROR: configuration failed for package 'Rgraphviz' Sylvain -- Sylvain Broh?e Service de Conformation des Macromol?cules Biologiques et de Bioinformatique (SCMBB) Universit? Libre de Bruxelles Boulevard du Triomphe - CP263 1050 Bruxelles (Belgium) Tel : +32(0)2/650.54.34 Fax : +32(0)2/650.54.25
Rgraphviz Rgraphviz • 592 views
ADD COMMENT
0
Entering edit mode
SAURIN ★ 1.1k
@saurin-799
Last seen 7.1 years ago
Hi Brohee, download graphviz 1.12 from AT & T website. Somehow Rgraphviz works nice with graphviz verion 1.12 and configure using below path. ./configure --prefix=/usr --exec-prefix=/usr it should work. Saurin --- Sylvain Brohée <sylvain@scmbb.ulb.ac.be> wrote: > Dear all, > I tryed to install the Rgraphviz package but I the > following message. > My version of graphviz is 2.2 (when I type > dotneato-config --version) > Could somedy help me? > Thank you a lot in advance, > > > $R CMD INSTALL Rgraphviz > * Installing *source* package 'Rgraphviz' ... > checking for graphviz... checking for > dotneato-config... /usr/local/bin/dotneato-config > /usr/local/bin/dotneato-config > failed > configure: error: please specify a valid path to > 'dotneato-config' version >= > 1.12 using --with-graphviz=DIR > ERROR: configuration failed for package 'Rgraphviz' > > Sylvain > -- > Sylvain Brohée > > Service de Conformation des Macromolécules > Biologiques et de Bioinformatique (SCMBB) > Université Libre de Bruxelles > Boulevard du Triomphe - CP263 > 1050 Bruxelles (Belgium) > Tel : +32(0)2/650.54.34 > Fax : +32(0)2/650.54.25 > > _______________________________________________ > Bioconductor mailing list > Bioconductor@stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Saurin's WebWorld: http://hawkmail.monmouth.edu/~s0451884
ADD COMMENT
0
Entering edit mode
> download graphviz 1.12 from AT & T website. Somehow > Rgraphviz works nice with graphviz verion 1.12 > and configure using below path. It also works with Graphviz versions much more up to date then 1.12 :) That being said, I received an email over the weekend indicating that they were having trouble getting Rgraphviz to work against the new Graphviz 2.2 so the OP's email appears to be a confirmation of that. I'll take a look at it. I would recommend using a slightly older version of Graphviz (eg 2.0)
ADD REPLY
0
Entering edit mode
At least on OS X, graphviz 2.2 (source build) and RGraphivz 1.5.6 (not 1.5.0) builds and works out of the box. stefano On 14/mar/05, at 16:43, Jeff Gentry wrote: >> download graphviz 1.12 from AT & T website. Somehow >> Rgraphviz works nice with graphviz verion 1.12 >> and configure using below path. > > It also works with Graphviz versions much more up to date then 1.12 :) > > That being said, I received an email over the weekend indicating that > they > were having trouble getting Rgraphviz to work against the new Graphviz > 2.2 > so the OP's email appears to be a confirmation of that. I'll take a > look > at it. > > I would recommend using a slightly older version of Graphviz (eg 2.0) > > _______________________________________________ > Bioconductor mailing list > Bioconductor@stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor >
ADD REPLY

Login before adding your answer.

Traffic: 378 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6